import express from "express";
import { ensureLoggedIn } from "connect-ensure-login";

import Pages from "../middleware/Albums";

import render from "../libs/format";

// eslint-disable-next-line new-cap
const router = express.Router();

router.route("/").get(ensureLoggedIn("/connexion"), (req, res, next) => {
    try {
        const page = new Pages(req, "ajouter-un-album/search");

        render(res, page);
    } catch (err) {
        next(err);
    }
});

router
    .route("/:discogsId")
    .get(ensureLoggedIn("/connexion"), async (req, res, next) => {
        try {
            const page = new Pages(req, "ajouter-un-album/form");

            await page.getFormAddOne();

            render(res, page);
        } catch (err) {
            next(err);
        }
    });

export default router;
